Bug 996075 - [AMQP 1.0] exclusive ownership not released when session ends
[AMQP 1.0] exclusive ownership not released when session ends
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
Development
Unspecified Unspecified
high Severity unspecified
: 3.0
: ---
Assigned To: Gordon Sim
Petr Matousek
:
Depends On:
Blocks: 1010399
  Show dependency treegraph
 
Reported: 2013-08-12 07:13 EDT by Gordon Sim
Modified: 2015-01-21 07:56 EST (History)
4 users (show)

See Also:
Fixed In Version: qpid-cpp-0.22-11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-21 07:56:24 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Apache JIRA QPID-5053 None None None Never

  None (edit)
Description Gordon Sim 2013-08-12 07:13:45 EDT
Description of problem:

If the exclusive property is set to true for a queue created on establishing an AMQP 1.0 link from it, the queue is locked by that session but is not released when the session ends. This prevents for example autodeletion if that has also been requested.

Version-Release number of selected component (if applicable):

qpid-0.22

How reproducible:

100%

Steps to Reproduce:
1. qpid-receive --connection-options {protocol:amqp1.0} --address 'q; {create: always, node:{properties:{exclusive:True, auto-delete:True}}} -t 5

Actual results:

When session ends, queue remains and remains locked by that session.

Expected results:

Queue is released when session ends which allows autodeletion to proceed.

Additional info:
Comment 1 Gordon Sim 2013-08-12 07:15:22 EDT
Fixed upstream: https://svn.apache.org/r1512283
Comment 2 Petr Matousek 2014-01-16 09:33:20 EST
This issue has been fixed. Verified on rhel6.5 (x86_64, i386).

packages under test:
qpid-cpp-*-0.22-33

-> VERIFIED

Note You need to log in before you can comment on or make changes to this bug.